Update to 3.16

Bug #1463657 reported by Robert Ancell on 2015-06-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-contacts (Ubuntu)
Wishlist
Unassigned

Bug Description

Update to 3.16

Robert Ancell (robert-ancell) wrote :

Requires libchamplain to be in main

Robert Ancell (robert-ancell) wrote :

When I run 3.16 I get:

$ gnome-contacts

(gnome-contacts:23375): GLib-GObject-WARNING **: g_object_get_valist: object class 'EDBusSourceProxy' has no property named 'connection-status'

(gnome-contacts:23375): e-data-server-WARNING **: source_update_connection_status_internal: Unknown connection status: '\xd0E\u0001<\xfc~'
*** Error in `gnome-contacts': free(): invalid pointer: 0x00007efc3c007180 ***
Aborted (core dumped)

Robert Ancell (robert-ancell) wrote :

Main inclusion request for libchamplain in bug 1463659

Robert Ancell (robert-ancell) wrote :

Requires evolution-data-server 3.16 (bug 1460271)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-contacts - 3.16.2-1ubuntu1

---------------
gnome-contacts (3.16.2-1ubuntu1) wily; urgency=medium

  * Merge with Debian unstable (LP: #1463657), remaining changes:
    + debian/patches/unity_no_goa.patch:
      - Update to point Online Accounts link to UOA when running Unity since
        UOA can do address books via evolution-data-server now
    + debian/patches/fix_help_link.patch:
      - Point to ubuntu-help when running Unity
    + debian/patches:
      - use_traditional_titlebars.patch,
        respect_gtk_dialogs_use_header.patch,
        use_traditional_menubar.patch:
        > Use traditional titlebars and menu when running Unity
  * Bump BD on glib to 2.37.6, as per configure.ac

gnome-contacts (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Add intltool (>= 0.40).
    - Bump libebook1.2-dev to (>= 3.13.90).
    - Bump libedataserver1.2-dev to (>= 3.13.90).
    - Add libedataserverui1.2-dev (>= 3.13.90).
    - Add libchamplain-0.12-dev.
    - Add libclutter-gtk-1.0-dev.
    - Add libgeocode-glib-dev (>= 3.15.3).
  * Add Homepage: URL.
  * Bump debhelper compatibility level to 9.
  * Update debian/copyright to the final format version 1.0.

gnome-contacts (3.14.2-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

 -- Iain Lane <email address hidden> Thu, 18 Jun 2015 17:33:07 +0100

Changed in gnome-contacts (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers